@import "_theme/log-entry";

body {

  // https://www.materialpalette.com
  --primary-color: var(--paper-blue-500);
  --light-primary-color: var(--paper-blue-100);
  --dark-primary-color: var(--paper-blue-700);
  --accent-color: var(--paper-blue-grey-200);
  --light-accent-color: var(--paper-blue-grey-100);
  --dark-accent-color: var(--paper-blue-grey-400);
  --error-color: var(--paper-deep-orange-a700);


  $primary-background-color: rgb(250, 250, 250);
  $primary-background-color-accent: rgb(250, 250, 250);
  #{--primary-background-color}: $primary-background-color;
  #{--primary-background-color-accent}: $primary-background-color-accent;
  #{--primary-background-color-rgb}: red($primary-background-color), green($primary-background-color), blue($primary-background-color);
  #{--primary-background-color-accent-rgb}: red($primary-background-color-accent), green($primary-background-color-accent), blue($primary-background-color-accent);

  $primary-text-color: black;
  $primary-text-color-inverted: invert($primary-text-color);
  $secondary-text-color: lighten($primary-text-color, 20%);
  #{--primary-text-color}: $primary-text-color;
  #{--secondary-text-color}: $secondary-text-color;
  #{--primary-text-color-inverted}: $primary-text-color-inverted;
  #{--primary-text-color-rgb}: red($primary-text-color), green($primary-text-color), blue($primary-text-color);
  #{--secondary-text-color-rgb}: red($secondary-text-color), green($secondary-text-color), blue($secondary-text-color);
  #{--primary-text-color-inverted-rgb}: red($primary-text-color-inverted), green($primary-text-color-inverted), blue($primary-text-color-inverted);

  --primary-text-opacity: var(--light-primary-opacity);
  --secondary-text-opacity: var(--light-secondary-opacity);
  --disabled-text-opacity: var(--light-disabled-opacity);
  --divider-opacity: var(--light-divider-opacity);

  &.dark {
    // $primary-background-color: rgb(10, 10, 10);
    // $primary-background-color-accent: rgb(20, 20, 20);
    $primary-background-color: #263238; // var(--paper-blue-grey-900);
    $primary-background-color-accent: #37474f; // var(--paper-blue-grey-800);
    #{--primary-background-color}: $primary-background-color;
    #{--primary-background-color-accent}: $primary-background-color-accent;
    #{--primary-background-color-rgb}: red($primary-background-color), green($primary-background-color), blue($primary-background-color);
    #{--primary-background-color-accent-rgb}: red($primary-background-color-accent), green($primary-background-color-accent), blue($primary-background-color-accent);

    $primary-text-color: white;
    $primary-text-color-inverted: invert($primary-text-color);
    $secondary-text-color: lighten($primary-text-color, 20%);
    #{--primary-text-color}: $primary-text-color;
    #{--secondary-text-color}: $secondary-text-color;
    #{--primary-text-color-inverted}: $primary-text-color-inverted;
    #{--primary-text-color-rgb}: red($primary-text-color), green($primary-text-color), blue($primary-text-color);
    #{--secondary-text-color-rgb}: red($secondary-text-color), green($secondary-text-color), blue($secondary-text-color);
    #{--primary-text-color-inverted-rgb}: red($primary-text-color-inverted), green($primary-text-color-inverted), blue($primary-text-color-inverted);

    --primary-text-opacity: var(--dark-primary-opacity);
    --secondary-text-opacity: var(--dark-secondary-opacity);
    --disabled-text-opacity: var(--dark-disabled-opacity);
    --divider-opacity: var(--dark-divider-opacity);
  }
}
